Remove jQuery Requirement

It would great if Gravity Forms dropped the requirement for jQuery in the front end. I was really hoping that they would do it for 2.5. (there is still time Gravity Forms…)

I no longer user jQuery on my websites and instead just use plain Javascript. With all the new JS features it isn’t necessary to use jQuery anymore. I understand there might be a little refactoring needed for Date drop downs, etc, but the rest of it is easy to change out to plain Javascript.

There is a way to remove it if you don’t use the Ajax feature, but with ajax=true then jQuery is required :frowning:

Hello. I recommend adding your comments for the product team here:

https://www.gravityforms.com/gravity-forms-roadmap/

Click the blue :heavy_plus_sign: in the lower left on this page to add a note for our product team. Thank you.

Awesome, I just submitted it.
Thanks

Thank you for that!

leonardo-dicaprio-clapping

© 2008 - 2021. Gravity Forms is a project by Rocketgenius Inc.